eclipse-equinox-osgi-4.4.1-8.2-omv2015.0.i586.rpm


Advertisement

Description

eclipse-equinox-osgi - Eclipse OSGi - Equinox

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release i586
Package name eclipse-equinox-osgi
Package version 4.4.1
Package release 8.2-omv2015.0
Package architecture i586
Package type rpm
Installed size 1.52 MB
Download size 1.36 MB
Official Mirror abf-downloads.openmandriva.org
Eclipse OSGi - Equinox

Alternatives

Package Version Architecture Repository
eclipse-equinox-osgi-4.4.1-8.3-omv2015.0.x86_64.rpm 4.4.1 x86_64 OpenMandriva Main Updates
eclipse-equinox-osgi-4.4.1-8.2-omv2015.0.x86_64.rpm 4.4.1 x86_64 OpenMandriva Main Release
eclipse-equinox-osgi - - -

Requires

Name Value
java-headless >= 1:1.7.0
javapackages-tools -
jpackage-utils -

Provides

Name Value
eclipse-equinox-osgi == 1:4.4.1-8.2:2015.0
mvn(org.eclipse.osgi:compatibility.state) == 1.0.1.v20151015-1348
mvn(org.eclipse.osgi:compatibility.state:pom:) == 1.0.1.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi) == 3.10.1.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi.compatibility.state) == 1.0.1.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi.compatibility.state:pom:) == 1.0.1.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi.services) == 3.4.0.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi.services:pom:) == 3.4.0.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi.util) == 3.3.0.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi.util:pom:) == 3.3.0.v20151015-1348
mvn(org.eclipse.osgi:org.eclipse.osgi:pom:) == 3.10.1.v20151015-1348
mvn(org.eclipse.osgi:services) == 3.4.0.v20151015-1348
mvn(org.eclipse.osgi:services:pom:) == 3.4.0.v20151015-1348
mvn(org.eclipse.osgi:util) == 3.3.0.v20151015-1348
mvn(org.eclipse.osgi:util:pom:) == 3.3.0.v20151015-1348
mvn(org.eclipse.tycho:org.eclipse.osgi) == 3.10.1.v20151015-1348
mvn(org.eclipse.tycho:org.eclipse.osgi.compatibility.state) == 1.0.1.v20151015-1348
mvn(org.eclipse.tycho:org.eclipse.osgi.compatibility.state:pom:) == 1.0.1.v20151015-1348
mvn(org.eclipse.tycho:org.eclipse.osgi:pom:) == 3.10.1.v20151015-1348
mvn(org.eclipse:osgi) == 3.10.1.v20151015-1348
mvn(org.eclipse:osgi:pom:) == 3.10.1.v20151015-1348
osgi(org.eclipse.osgi) == 3.10.1
osgi(org.eclipse.osgi.compatibility.state) == 1.0.1
osgi(org.eclipse.osgi.services) == 3.4.0
osgi(org.eclipse.osgi.util) == 3.3.0
osgi(system.bundle) == 1:4.4.1

Download

Type URL
Binary Package eclipse-equinox-osgi-4.4.1-8.2-omv2015.0.i586.rpm
Source Package eclipse-4.4.1-8.2.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install eclipse-equinox-osgi rpm package:
    # urpmi eclipse-equinox-osgi

Files

Path
/usr/lib/eclipse/plugins/org.eclipse.osgi.compatibility.state_1.0.1.v20151015-1348.jar
/usr/lib/eclipse/plugins/org.eclipse.osgi.services_3.4.0.v20151015-1348.jar
/usr/lib/eclipse/plugins/org.eclipse.osgi.util_3.3.0.v20151015-1348.jar
/usr/lib/eclipse/plugins/org.eclipse.osgi_3.10.1.v20151015-1348.jar
/usr/share/java/eclipse/osgi.compatibility.state.jar
/usr/share/java/eclipse/osgi.jar
/usr/share/java/eclipse/osgi.services.jar
/usr/share/java/eclipse/osgi.util.jar
/usr/share/maven-metadata/eclipse-equinox-osgi.xml
/usr/share/maven-poms/JPP.eclipse-osgi.compatibility.state.pom
/usr/share/maven-poms/JPP.eclipse-osgi.pom
/usr/share/maven-poms/JPP.eclipse-osgi.services.pom
/usr/share/maven-poms/JPP.eclipse-osgi.util.pom

Changelog

2015-10-15 - crisb <crisb@localhost.localdomain> 1:4.4.1-8.2
- (d4acedc) Bump
2014-12-14 - Crispin Boylan <crisb@mandriva.org> 1:4.4.1-8.1
- (e2defdb) non bootstrap with tycho 0.22
2014-12-11 - Crispin Boylan <crisb@mandriva.org> 1:4.4.1-8
- (1efc7e8) Fix req
- (Crispin Boylan: d6d4694) Fix br
- (Crispin Boylan: 86473e7) Fix br
- (Crispin Boylan: d20ad17) Fix br
- (Crispin Boylan: b669f03) We need bootstrap
- (Crispin Boylan: 04194eb) Add br
- (Crispin Boylan: e0c5e4b) Merge
- (Crispin Boylan: 5806c78) 4.4.1
2014-11-21 - Cris Boylan <cris@beebgames.com> 1:4.3.2-5
- (aa7e75c) Updated eclipse.spec
2014-11-21 - Cris Boylan <cris@beebgames.com> 1:4.3.2-4
- (e5102b8) Without bootstrap
- (Cris Boylan: cabd046) Fix BR
- (Crispin Boylan: 1a51550) Rebuild in bootstrap with lucene 4
2014-11-18 - Crispin Boylan <crisb@mandriva.org> 1:4.3.2-3
- (d5c65c6) Fix req
- (Crispin Boylan: ccdd3a6) 4.3.2, on the road to luna
2014-01-21 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.4
- (05fdd0f) Bootstrap finished
2014-01-19 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.3
- (55af5c0) Inject a functional eclipse build in cooker
- (55af5c0) The cyclic dependencies are complex enough that some dependencies
- (55af5c0) can only be generated in a sane way if there is already a working
- (55af5c0) eclipse.
- (55af5c0) After this package is available, eclipse proper rebuild from sources
- (55af5c0) in abf should be doable.
- (55af5c0) Note that for now only i586 and x86_64 are supported.
- (pcpa: c927c28) Cannot bootstrap with only noarch files
2014-01-18 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.2
- (f45aa53) More adjustments for final bootstrap steps
2014-01-18 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.0
- (e424d87) Remove release from edited, script generated spec
- (pcpa: 65e9b6b) Create an intermediate eclipse-pde packate
- (pcpa: 2b0c81e) Correct wrong symlink but should not need to rebuild bootstrap
- (pcpa: 4bb7a07) Inject eclipse noarchish files in repositories to break cyclic dependencies and bootstrap
- (pcpa: 48bde1c) Import fedora eclipse with minimal changes to build on OpenMandriva

See Also

Package Description
eclipse-filesystem-1.0-3-omv2015.0.i586.rpm Eclipse Platform Filesystem Layout
eclipse-gef-3.9.101-4.1-omv2015.0.noarch.rpm Graphical Editing Framework (GEF) Eclipse plug-in
eclipse-gef-examples-3.9.101-4.1-omv2015.0.noarch.rpm Development/Java
eclipse-gef-sdk-3.9.101-4.1-omv2015.0.noarch.rpm Eclipse GEF SDK
eclipse-jdt-4.4.1-8.2-omv2015.0.i586.rpm Eclipse Java Development Tools
eclipse-jgit-3.5.3-1.2-omv2015.0.noarch.rpm Eclipse JGit
eclipse-license-1.0.1-5-omv2015.0.noarch.rpm Shared license feature for Eclipse
eclipse-mylyn-3.13.0-2.2-omv2015.0.noarch.rpm Eclipse Mylyn main feature
eclipse-mylyn-builds-3.13.0-2.2-omv2015.0.noarch.rpm Eclipse Mylyn Builds
eclipse-mylyn-builds-hudson-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Builds Connector: Hudson/Jenkins
eclipse-mylyn-context-cdt-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Bridge: C/C++ Development
eclipse-mylyn-context-java-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Bridge: Java Development
eclipse-mylyn-context-pde-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Bridge: Plug-in Development
eclipse-mylyn-context-team-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Context Connector: Team Support
eclipse-mylyn-docs-epub-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn EPub
Advertisement
Advertisement